## smc-tools 1.1.0

=== debian/changelog ===
smc-tools (1.1.0-0ubuntu1) cosmic; urgency=medium

  * Initial release LP: #1689782

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Sep 2018 08:24:34 +0100
