=== debian/control ===
Source: smc-tools
Section: net
Priority: optional
Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
Build-Depends: debhelper (>= 11), libnl-genl-3-dev
Standards-Version: 4.2.1
Homepage: https://www.ibm.com/developerworks/linux/linux390/smc-tools.html

Package: smc-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: enables SMC socket usage on Linux
 Shared Memory Communication Tools (smc-tools) enables usage of SMC
 sockets in Linux. This package includes ld-preloadable library and
 utilities to facilitate wrap and use SMC sockets, where TCP ones are
 expected.
