## smc-tools 1.2.0

=== debian/changelog ===
smc-tools (1.2.0-0ubuntu1) disco; urgency=medium

  * New upstream release LP: #1815425
  * Drop multiarch patch, applied upstream. Thanks!

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 21 Feb 2019 11:14:06 +0100
