## smc-tools 1.2.1

=== debian/changelog ===
smc-tools (1.2.1-0ubuntu1) eoan; urgency=medium

  * New upstream release LP: #1826193
  * Correct multiarch libdir location better

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 30 Apr 2019 13:17:31 +0100
