## smc-tools 1.2.2

=== debian/changelog ===
smc-tools (1.2.2-0ubuntu1) focal; urgency=medium

  * New upstream release LP: #1852721

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Feb 2020 01:42:48 +0000
