## smc-tools 1.3.0

=== debian/changelog ===
smc-tools (1.3.0-0ubuntu2) groovy; urgency=medium

  * Add build-depends on pkg-config, such that build-depends on
    bash-completion is actually detected and bash completion gets
    installed. LP: #1891642

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 26 Aug 2020 20:07:47 +0100

smc-tools (1.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release. LP: #1884508

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 12 Aug 2020 14:16:11 +0100
