=== debian/changelog ===
smc-tools (1.5.0-0ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:06:01 +0000

smc-tools (1.5.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release. LP: #1914034
  * Add watch file.
  * Drop multiarch patch, applied upstream.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Feb 2021 15:51:30 +0000
