## smc-tools 1.6.0

=== debian/changelog ===
smc-tools (1.6.0-0ubuntu1) impish; urgency=medium

  * New upstream release. LP: #1853301
  * Add cherry-picked patches from upstream
    - smc-tools: stats: Fix memory overread in is_data_consistent()
      011fc850e4e7a272896ea53cf178ff39972ff74d.patch
    - smc-tools: stats: Fix memory and file handle leaks
      3c47b5b90bf931714ee079bed7d74c6104bff784.patch
    - smc-tools: stats: Use correct fallback counter values after reset
      f6d8435b8895218d00d1ec8426af3995d6dd58da.patch

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Thu, 12 Aug 2021 16:16:34 -0500
