=== debian/changelog ===
smc-tools (1.7.0-0ubuntu1) jammy; urgency=medium

  * New upstream release. LP: #1959428
  * All existing quilt patches could be removed,
    since they are all incl. in v1.7.0.

 -- Frank Heimes <frank.heimes@canonical.com>  Sun, 30 Jan 2022 17:04:06 +0100
