=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper-compat (= 12), libnl-genl-3-dev, bash-completion
+Build-Depends: debhelper-compat (= 12), libnl-genl-3-dev, bash-completion, pkg-config
 Standards-Version: 4.2.1
 Homepage: https://www.ibm.com/developerworks/linux/linux390/smc-tools.html
