=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%smc-tools-$1.tar.gz%" \
     https://github.com/ibm-s390-tools/smc-tools/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
