## smc-tools 1.8.2

=== debian/changelog ===
smc-tools (1.8.2-0ubuntu1) lunar; urgency=medium

  * New upstream release. LP: #1999729
  * Update Standards-Version to current 4.6.1.0 in d/control.
  * Update Homepage URL in d/control.

 -- Frank Heimes <frank.heimes@canonical.com>  Thu, 15 Dec 2022 10:22:22 +0100
