=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
 Build-Depends: debhelper-compat (= 12), libnl-genl-3-dev, bash-completion, pkg-config
-Standards-Version: 4.2.1
-Homepage: https://www.ibm.com/developerworks/linux/linux390/smc-tools.html
+Standards-Version: 4.6.1.0
+Homepage: https://github.com/ibm-s390-linux/smc-tools
 
 Package: smc-tools
 Architecture: any
