## smc-tools 1.8.3

=== debian/changelog ===
smc-tools (1.8.3-0ubuntu1) mantic; urgency=medium

  * New upstream release. LP: #2027825
  * Remove d/p/adjust-default-library-path-for-ubuntu.patch.
  * Add d/p/fix_library_path.patch to avoid having /usr twice in path.

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 09 Aug 2023 12:06:37 +0200

smc-tools (1.8.2-0ubuntu3) lunar; urgency=medium

  * Remove debian/links again, due to comment on the LP bug.
  * Add d/p/adjust-default-library-path-for-ubuntu.patch to change the
    library path for Ubuntu already inside the Makefile.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 21 Mar 2023 12:30:55 +0100

smc-tools (1.8.2-0ubuntu2) lunar; urgency=medium

  * Add lsb-release as Build-Depends to debian/control, since it's not
    installed by default in all build environments, but the lsb_release
    command is used in the Makefile. If it's not there the Makefile defaults
    to the the wrong folder /usr/lib64 for Ubuntu. LP: #2009495
  * Add debian/links file to ensure that libsmc-preload.so is also
    accessible from /usr/lib (and not only from /usr/lib/s390x-linux-gnu).

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 08 Mar 2023 18:58:21 +0100
