=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper-compat (= 12), libnl-genl-3-dev, bash-completion, pkg-config
+Build-Depends: debhelper-compat (= 12), libnl-genl-3-dev, bash-completion, pkg-config, lsb-release
 Standards-Version: 4.6.1.0
 Homepage: https://github.com/ibm-s390-linux/smc-tools
