## smc-tools 1.8.4

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # http://www.eclipse.org/legal/epl-v10.html
 #
 
-SMC_TOOLS_RELEASE = 1.7.0
+SMC_TOOLS_RELEASE = 1.8.4
 VER_MAJOR         = $(shell echo $(SMC_TOOLS_RELEASE) | cut -d '.' -f 1)
 
 ARCHTYPE = $(shell uname -m)
@@ -42,7 +42,7 @@
 #
 ifeq ($(ARCH),64)
 ifeq ($(DISTRO),Ubuntu)
-LIBDIR		= ${PREFIX}/lib/${ARCHTYPE}-linux-gnu
+LIBDIR		= ${PREFIX}/usr/lib
 else
 LIBDIR		= ${PREFIX}/lib64
 endif
@@ -106,13 +106,13 @@
 endif
 
 
-%d.o: %.c
+%d.o: %.c smctools_common.h
 	${CCC} ${ALL_CFLAGS} -DSMCD -c $< -o $@
 
-%r.o: %.c
+%r.o: %.c smctools_common.h
 	${CCC} ${ALL_CFLAGS} -DSMCR -c $< -o $@
 
-%.o: %.c
+%.o: %.c smctools_common.h
 	${CCC} ${ALL_CFLAGS} -c $< -o $@
 
 smc: smc.o info.o ueid.o seid.o dev.o linkgroup.o libnetlink.o util.o
@@ -189,18 +189,20 @@
 endif
 
 check:
-	if which cppcheck >/dev/null; then \
+	if ( command -v cppcheck >/dev/null ); then \
 	    echo "Running cppcheck"; \
 	    cppcheck . 2>&1; \
 	else \
 	    echo "cppcheck not available"; \
 	fi
 	@echo;
-	if which valgrind >/dev/null; then \
+	#if type -p valgrind >/dev/null; then \
+	if ( command -v valgrind >/dev/null ); then \
 	    echo "Running valgrind"; \
 	    valgrind --leak-check=full --show-leak-kinds=all ./smcss 2>&1; \
 	    valgrind --leak-check=full --show-leak-kinds=all ./smc_pnet 2>&1; \
-	    valgrind --leak-check=full --show-leak-kinds=all ./smc 2>&1; \
+	    valgrind --leak-check=full --show-leak-kinds=all ./smcd info 2>&1; \
+	    valgrind --leak-check=full --show-leak-kinds=all ./smcd stats 2>&1; \
 	else \
 	    echo "valgrind not available"; \
 	fi
