=== debian/changelog ===
smc-tools (1.8.4-0ubuntu1) plucky; urgency=medium

  * New upstream release. LP: #2095005
  * Modify d/control:
    - to replace obsolete pkg-config in Build-Depends by pkgconf
    - to bump debhelper-compat in Build-Depends to level 13
    - to bump Standards-Version to 4.7.0
  * Check for DEP-17 compliance (/usr-merge) and it is, nothing to do.

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 15 Jan 2025 12:11:16 +0100
