=== debian/changelog ===
smc-tools (1.8.5-0ubuntu1) questing; urgency=medium

  * New upstream release. LP: #2119285

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 01 Aug 2025 11:14:19 +0200
