=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper-compat (= 12), libnl-genl-3-dev, bash-completion, pkg-config, lsb-release
-Standards-Version: 4.6.1.0
+Build-Depends: bash-completion,
+ debhelper-compat (= 13),
+ libnl-genl-3-dev,
+ lsb-release,
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/ibm-s390-linux/smc-tools
 
 Package: smc-tools
