=== debian/changelog ===
smc-tools (1.8.6-0ubuntu1) resolute; urgency=medium

  * New upstream version 1.8.6 (LP: #2138644).
    - d/watch: update to version 5 to address lintian tag
      older-debian-watch-file-standard
    - d/control: update standards version to latest 4.7.2 to address lintian
      tag out-of-date-standards-version
    - d/p/fix_library_path.patch: add Forwarded field to address lintian tag
      patch-not-forwarded-upstream; Forwarded field set to 'not-needed' since
      this patch is Ubuntu specific
    - d/p/fix_typo_in_manual_page.patch: fix typos to address
      lintian tag typo-in-manual-page
    - d/p/fix_folder_31_32_bit_systems.patch: fix folder in case package
      is for a 32-bit system other than s390, like armhf

 -- Ishraq Islam <ishraq.islam@canonical.com>  Thu, 22 Jan 2026 21:54:55 +0000
