=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libnl-genl-3-dev,
  lsb-release,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ibm-s390-linux/smc-tools
 
 Package: smc-tools
