=== debian/watch ===
Version: 5

Template: Github
Owner: ibm-s390-tools
Project: smc-tools
Update-Script: uupdate
