=== debian/changelog ===
smc-tools (1.8.7-0ubuntu1) resolute; urgency=medium

  * New upstream release 1.8.7 (LP: #2142098).
    - Update Maintainer field in d/control to Ubuntu Developers.

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 18 Feb 2026 09:05:46 +0000
