=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: smc-tools
 Section: net
 Priority: optional
-Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: bash-completion,
  debhelper-compat (= 13),
  libnl-genl-3-dev,
